{ config, pkgs, ... }:

let domain = "minecraft.giugl.io";
in {
  services.minecraft-server = {
    enable = true;
    eula = true;
    declarative = true;
    serverProperties = { motd = "Welcome on the RuNas server!"; };
  };

  networking.extraHosts = ''
    ${architect-lan} ${domain}
    ${architect-wg} ${domain}
  '';
}
